#!/bin/bash
Today=`date +%Y%m%d_%H%M`
SimDir=evocpu_$Today

mkdir $SimDir
cd $SimDir

Prog=`which EvoCpu_i686`
cp -p $Prog .
cp $HOME/work1/test/EvoCpu_i686.Vconf .
cp $HOME/work1/test/EvoCpu_i686.Vconf EvoCpu_i686.Vconf.start
cp ../$0 .
#cp $HOME/work1/test/evolcpu_i686_Vbase.db_0 .
cp $HOME/work1/test/evo_cpu_run.sh .
cp $HOME/work1/test/evo_muta_run.sh .
cp $HOME/work1/test/eval_evoout_frame_local.sh .
cp $HOME/work1/test/evolcpu_c.cmd .
cp $HOME/work1/test/evocpu_*.out .
rm -f evo_test_no_work.out
rm -f evo_test_with_work.out
sleep 10
#sh evo_muta_run.sh 0x10 no_work &
#sh evo_muta_run.sh 0x11 with_work &
# Use parallelized version
#    script       flags partition  describer
#sh evo_muta_run.sh 0x19 9 0x0 with_work &  # with threads
#sh evo_muta_run.sh 0x2811 9 0x0 with_work &   # no threads
#sh evo_muta_run.sh 0x8 9 0x0 with_work    # with threads
#sh evo_muta_run.sh 0x0 9 0x0 with_work    # no threads, random mach-type
#sh evo_muta_run.sh 0x0 9 0x1b with_work    # no threads, 2 JMP, 2 SPC-bits
sh evo_muta_run.sh 0x8 9 0x1b with_work    # with threads, 2 JMP, 2 SPC-bits
#sh ../eval_evoout_frame_0.0.sh
#sh ../eval_evoout_frame.sh
ls *.ppm > tt
sed "s^hash^show_ppm hash^" tt > tt.sh
echo "rm -r $SimDir"
#sh tt.sh
#vi evo_test_with_work.out
