#!/bin/bash
# From version 6 on: minimum number of patterns min_anz = 4
# EvoCpu_i686 -ng -gen 1000000  -s 10000  -n 100 -fl 0x19  With threads
# EvoCpu_i686 -ng -ni -gen 40001 -s 100 -ana 4000 -n 100 -new 1 -run 1 -fl 0x11 -px 9 -code 0x4b -pswap 0.1 -dw 5
#    para=" -ng -ni -gen 16002 -s 800 -ana 20 -n 400 -tr 1 -new 0 -code 0x2 -pswap 0.0 -ec 28:1.0:0.0:1.0:1.0:0.0:0.0:0.0:0.0:0.0:1.0:1.0:0.0:0.1:100.0:1.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0 -te 2000 -ee 5 -mm 16 -sz 192 -run $crun -fl $flags -p $2 -px $3 -rm $4 $5 $6 $7 $8"  # 1bit coding
#    para=" -ng -ni -gen 16002 -s 800 -ana 20 -n 400 -tr 1 -new 0 -code 0xe4 -pswap 0.0 -ec 28:1.0:0.0:1.0:1.0:0.0:0.0:0.0:0.0:0.0:1.0:1.0:0.0:0.1:100.0:1.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0 -te 2000 -ee 5 -mm 16 -sz 192 -run $crun -fl $flags -p $2 -px $3 -rm $4 $5 $6 $7 $8"  # 2bit coding
#    para=" -ng -ni -gen 8002 -s 800 -ana 20 -n 400 -tr 1 -new 0 -code 0xe4 -pswap 0.0 -ec 15:1.0:0.0:1.0:1.0:0.0:0.0:0.0:0.0:0.0:1.0:1.0:0.0:0.1:200.0:1.0 -te 1000 -ee 5 -mm 8 -sz 2048 -run $i -fl $flags -p $2 -px $3 $5 $6 $7 $8"  # old test
#    para=" -ng -ni -gen 16002 -s 800 -ana 20 -n 400 -tr 1 -new 0 -code 0xfac688 -pswap 0.0 -ec 28:1.0:0.0:1.0:1.0:0.0:0.0:0.0:0.0:0.0:1.0:1.0:0.0:0.1:100.0:1.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0 -te 2000 -ee 5 -mm 16 -sz 192 -run $crun -fl $flags -p $2 -px $3 -rm $4 $5 $6 $7 $8"  # 3bit coding
flags=$((0x6815 | $1))
echo $flags
#i=1
for i in `seq 8`; do
#for i in `seq 4`; do
    echo \# Run $i hostname = `hostname -f`
    crun="$(($4*64+$i))"
    echo $crun
    para=" -ng -ni -gen 16002 -s 2000 -ana 20 -n 400 -tr 1 -new 0 -code 0xe4 -pswap 0.0 -ec 28:1.0:0.0:1.0:1.0:0.0:0.0:0.0:0.0:0.0:0.0:1.0:0.0:0.1:200.0:1.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0:0.0 -te 2000 -ee 5 -mm 16 -sz 16 -run $crun -fl $flags -p $2 -px $3 -rm $4 -ma $5 $6 $7 $8"
    echo r $para > gdb.cmd
    cmd="nice -n 10 time ./EvoCpu_i686 $para"
    # cmd="gdb ./EvoCpu_i686 -x gdb.cmd"
    echo \# $cmd
    # $cmd > run_"$3"_"$crun"_"$4"_"$5"_"$flags".out &
    $cmd > run_"$3"_"$crun"_"$4"_"$5"_"$flags".out 
    # /bin/mv -f gmon.out run_gmon_"$3"_"$4"_"$5"_"$i"_$flags.out
done
while /bin/ps -aef | /usr/bin/grep -v grep | /usr/bin/grep -c EvoCpu_i686; do date; sleep 10 ; done


